### Virtual Method

# Gio Application local_command_line

since: 2.28

#### Declaration

    gboolean
    local_command_line (
      GApplication* application,
      gchar*** arguments,
      int* exit_status
    )

#### Description

This virtual function is always invoked in the local instance. It gets passed a pointer to a `NULL`-terminated copy of `argv` and is expected to remove arguments that it handled (shifting up remaining arguments).

The last argument to `local_command_line()` is a pointer to the `status` variable which can used to set the exit status that is returned from g_application_run().

See `g_application_run()` for more details on `GApplication` startup.

Available since: 2.28

#### Parameters

`arguments`

  Type: An array of `gchar**`

  Array of command line arguments.

  The argument will be modified by the function.
  The array must be `NULL`-terminated.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`exit_status`

  Type: `int*`

  Exit status to fill after processing the command line.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the commandline has been completely handled.